as.list {raster} | R Documentation

## Create a list of RasterLayer objects

### Description

Create a list of RasterLayer objects from Raster* objects

### Usage

    ## S4 method for signature 'Raster'
    as.list(x, ...)

### Arguments

`x` | Raster* object
`...` | additional Raster* objects

### Value

list

### Examples

    r <- raster(ncol=3, nrow=3)
    r[] <- 1:ncell(r)
    as.list(r)

    s <- stack(r,r*2,r*3)
    as.list(s, r)

[Package raster version 2.6-7 Index]